Bug 86441 - CSS3 Multicolumn: Content in normal flow extending into column gaps should be clipped at middle of column-gap
: CSS3 Multicolumn: Content in normal flow extending into column gaps should be...
Status: RESOLVED FIXED
: WebKit
Layout and Rendering
: 528+ (Nightly build)
: Unspecified Linux
: P2 Normal
Assigned To:
:
: InRadar
:
:
  Show dependency treegraph
 
Reported: 2012-05-14 22:12 PST by
Modified: 2012-05-23 16:57 PST (History)


Attachments
testcase (1.40 KB, text/html)
2012-05-14 22:12 PST, Uday Kiran
no flags Details
Proposed Patch (6.88 KB, patch)
2012-05-14 22:44 PST, Uday Kiran
no flags Review Patch | Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cr-linux-02 (836.07 KB, application/zip)
2012-05-15 00:27 PST, WebKit Review Bot
no flags Details
Patch (7.25 KB, patch)
2012-05-15 04:30 PST, Uday Kiran
no flags Review Patch | Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cr-linux-03 (4.28 MB, application/zip)
2012-05-15 04:51 PST, WebKit Review Bot
no flags Details
Fixed testcase (1.69 KB, text/html)
2012-05-16 00:09 PST, Uday Kiran
no flags Details
Patch with fixed testcase (7.09 KB, patch)
2012-05-16 00:40 PST, Uday Kiran
no flags Review Patch | Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cr-linux-04 (842.22 KB, application/zip)
2012-05-16 04:39 PST, WebKit Review Bot
no flags Details
Updated Patch (11.33 KB, patch)
2012-05-16 07:09 PST, Uday Kiran
no flags Review Patch | Details | Formatted Diff | Diff
Rebased Patch (11.32 KB, patch)
2012-05-16 21:36 PST, Uday Kiran
no flags Review Patch | Details | Formatted Diff | Diff
Updated Patch (11.33 KB, patch)
2012-05-17 00:49 PST, Uday Kiran
no flags Review Patch | Details | Formatted Diff | Diff
Rebased Patch (11.37 KB, patch)
2012-05-17 00:59 PST, Uday Kiran
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


------- Comment #1 From 2012-05-14 22:44:59 PST -------
Created an attachment (id=141856) [details]
Proposed Patch
------- Comment #2 From 2012-05-15 00:16:48 PST -------
(From update of attachment 141856 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=141856&action=review

> LayoutTests/fast/multicol/overflow-into-columngap-expected.html:1
> +<!DOCTYPE html>

Some extra characters seen. Are these intentional characters? Also should the expected file be txt file or html file?
------- Comment #3 From 2012-05-15 00:27:49 PST -------
(From update of attachment 141856 [details])
Attachment 141856 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12681747

New failing tests:
fast/borders/border-antialiasing.html
fast/multicol/shadow-breaking.html
fast/multicol/vertical-rl/border-padding-pagination.html
fast/multicol/vertical-lr/border-padding-pagination.html
------- Comment #4 From 2012-05-15 00:27:53 PST -------
Created an attachment (id=141875) [details]
Archive of layout-test-results from ec2-cr-linux-02

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-02  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
------- Comment #5 From 2012-05-15 04:30:38 PST -------
Created an attachment (id=141915) [details]
Patch

For checking EWS
------- Comment #6 From 2012-05-15 04:51:44 PST -------
(From update of attachment 141915 [details])
Attachment 141915 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12679910

New failing tests:
fast/borders/border-antialiasing.html
http/tests/security/sandboxed-iframe-origin-add.html
fast/multicol/span/anonymous-split-block-crash.html
fast/multicol/positive-leading.html
fast/multicol/span/span-as-immediate-child-complex-splitting.html
fast/loader/text-document-wrapping.html
fast/multicol/span/anonymous-style-inheritance.html
fast/multicol/vertical-rl/border-padding-pagination.html
fast/multicol/span/span-as-immediate-child-generated-content.html
fast/multicol/span/span-as-immediate-columns-child.html
fast/multicol/span/span-as-nested-columns-child-dynamic.html
fast/line-grid/line-grid-into-columns.html
fast/multicol/span/clone-anonymous-block-non-inline-child-crash.html
fast/multicol/vertical-lr/column-rules.html
fast/multicol/span/anonymous-before-child-parent-crash.html
fast/canvas/webgl/shader-precision-format.html
fast/multicol/span/span-as-immediate-columns-child-dynamic.html
fast/multicol/span/generated-child-split-flow-crash.html
fast/multicol/nested-columns.html
fast/multicol/single-line.html
fast/multicol/column-rules-stacking.html
fast/multicol/vertical-lr/nested-columns.html
fast/multicol/vertical-lr/border-padding-pagination.html
fast/multicol/column-rules.html
fast/multicol/overflow-unsplittable.html
fast/multicol/shadow-breaking.html
fast/loader/javascript-url-in-object.html
fast/multicol/span/span-margin-collapsing.html
fast/multicol/span/span-as-nested-columns-child.html
http/tests/inspector/resource-har-pages.html
------- Comment #7 From 2012-05-15 04:51:55 PST -------
Created an attachment (id=141917) [details]
Archive of layout-test-results from ec2-cr-linux-03

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-03  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
------- Comment #8 From 2012-05-16 00:09:54 PST -------
Created an attachment (id=142167) [details]
Fixed testcase

Fixed test case. Previously attached test case was about clipping content when overflow outside multi-column element.
This test case is about overflowing into column-gap.
------- Comment #9 From 2012-05-16 00:40:15 PST -------
Created an attachment (id=142179) [details]
Patch with fixed testcase
------- Comment #10 From 2012-05-16 04:39:31 PST -------
(From update of attachment 142179 [details])
Attachment 142179 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/12718157

New failing tests:
fast/borders/border-antialiasing.html
fast/multicol/shadow-breaking.html
------- Comment #11 From 2012-05-16 04:39:35 PST -------
Created an attachment (id=142222) [details]
Archive of layout-test-results from ec2-cr-linux-04

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-04  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
------- Comment #12 From 2012-05-16 07:09:15 PST -------
Created an attachment (id=142252) [details]
Updated Patch

Failing tests need to be rebased.
------- Comment #13 From 2012-05-16 21:36:47 PST -------
Created an attachment (id=142410) [details]
Rebased Patch
------- Comment #14 From 2012-05-17 00:05:59 PST -------
Seems reasonable, but should you be using LayoutUnits here instead?
------- Comment #15 From 2012-05-17 00:49:46 PST -------
Created an attachment (id=142435) [details]
Updated Patch

Thanks for reviewing Eric. Adding Hyatt in cc for reviewing this multicolumn patch.
------- Comment #16 From 2012-05-17 00:59:17 PST -------
Created an attachment (id=142437) [details]
Rebased Patch
------- Comment #17 From 2012-05-17 01:00:51 PST -------
(From update of attachment 142437 [details])
Hopefully this will do the right thing. :)
------- Comment #18 From 2012-05-17 01:13:49 PST -------
(From update of attachment 142437 [details])
Clearing flags on attachment: 142437

Committed r117412: <http://trac.webkit.org/changeset/117412>
------- Comment #19 From 2012-05-17 01:13:56 PST -------
All reviewed patches have been landed.  Closing bug.
------- Comment #20 From 2012-05-23 16:57:50 PST -------
<rdar://problem/11520511>